## sssd 2.10.1

=== src/tests/tests/cwrap/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/cwrap/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = ../../../src/responder/common/cache_req/plugins/cache_req_subid_ranges_by_name.c
check_PROGRAMS = $(am__EXEEXT_1)
am__append_2 = \
    become_user-tests \
    server-tests \
    usertools-tests \
    responder_common-tests \
    $(NULL)

#am__append_3 = $(abs_top_builddir)/stap_generated_probes.lo
#am__append_4 = $(abs_top_builddir)/stap_generated_probes.lo
subdir = src/tests/cwrap
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_SCRIPTS) \
	$(dist_noinst_DATA) $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 = become_user-tests$(EXEEXT) \
	server-tests$(EXEEXT) \
	usertools-tests$(EXEEXT) \
	responder_common-tests$(EXEEXT)
am_become_user_tests_OBJECTS =  \
	become_user_tests-test_become_user.$(OBJEXT)
become_user_tests_OBJECTS = $(am_become_user_tests_OBJECTS)
am__DEPENDENCIES_1 =
become_user_tests_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(abs_top_builddir)/libsss_debug.la \
	$(abs_top_builddir)/libsss_test_common.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
become_user_tests_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(become_user_tests_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
am__responder_common_tests_SOURCES_DIST = test_responder_common.c \
	../../../src/responder/common/responder_iface.c \
	../../../src/responder/common/negcache_files.c \
	../../../src/util/nss_dl_load.c \
	../../../src/responder/common/negcache.c \
	../../../src/responder/common/responder_common.c \
	../../../src/responder/common/responder_packet.c \
	../../../src/responder/common/responder_cmd.c \
	../../../src/tests/cmocka/common_mock_resp_dp.c \
	../../../src/util/session_recording.c \
	../../../src/responder/common/cache_req/cache_req.c \
	../../../src/responder/common/cache_req/cache_req_result.c \
	../../../src/responder/common/cache_req/cache_req_search.c \
	../../../src/responder/common/cache_req/cache_req_data.c \
	../../../src/responder/common/cache_req/cache_req_domain.c \
	../../../src/responder/common/cache_req/cache_req_sr_overlay.c \
	../../../src/responder/common/cache_req/plugins/cache_req_common.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_users.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_groups.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_svc.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_ip_hosts.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_ip_networks.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_upn.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_id.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_filter.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_cert.c \
	../../../src/responder/common/cache_req/plugins/cache_req_group_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_group_by_id.c \
	../../../src/responder/common/cache_req/plugins/cache_req_group_by_filter.c \
	../../../src/responder/common/cache_req/plugins/cache_req_initgroups_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_initgroups_by_upn.c \
	../../../src/responder/common/cache_req/plugins/cache_req_object_by_sid.c \
	../../../src/responder/common/cache_req/plugins/cache_req_object_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_object_by_id.c \
	../../../src/responder/common/cache_req/plugins/cache_req_svc_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_svc_by_port.c \
	../../../src/responder/common/cache_req/plugins/cache_req_netgroup_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ssh_host_id_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_autofs_map_entries.c \
	../../../src/responder/common/cache_req/plugins/cache_req_autofs_map_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_autofs_entry_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_host_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_host_by_addr.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_network_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_network_by_addr.c \
	../../../src/responder/common/cache_req/plugins/cache_req_subid_ranges_by_name.c
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 = ../../../src/responder/common/responder_common_tests-responder_iface.$(OBJEXT)
#am__objects_2 = ../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_subid_ranges_by_name.$(OBJEXT)
am__objects_3 = ../../../src/responder/common/cache_req/responder_common_tests-cache_req.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_result.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_search.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_data.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_domain.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_sr_overlay.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_common.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_users.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_groups.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_svc.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_ip_hosts.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_ip_networks.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_name.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_upn.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_id.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_filter.$(OBJEXT) \

=== src/tests/tests/intg/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/intg/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#bin_PROGRAMS = sss_netgroup_thread_test$(EXEEXT)
subdir = src/tests/intg
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__dist_dbussysconf_DATA_DIST) \
	$(dist_noinst_DATA) $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(nsslibdir)" "$(DESTDIR)$(dbussysconfdir)"
PROGRAMS = $(bin_PROGRAMS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
LTLIBRARIES = $(lib_LTLIBRARIES) $(nsslib_LTLIBRARIES)
am__DEPENDENCIES_1 =
#getsockopt_wrapper_la_DEPENDENCIES =  \
#	$(am__DEPENDENCIES_1)
am__getsockopt_wrapper_la_SOURCES_DIST = getsockopt_wrapper.c
#am_getsockopt_wrapper_la_OBJECTS =  \
#	getsockopt_wrapper_la-getsockopt_wrapper.lo
getsockopt_wrapper_la_OBJECTS = $(am_getsockopt_wrapper_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
getsockopt_wrapper_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(getsockopt_wrapper_la_CFLAGS) $(CFLAGS) \
	$(getsockopt_wrapper_la_LDFLAGS) $(LDFLAGS) -o $@
#am_getsockopt_wrapper_la_rpath = -rpath $(libdir)
libnss_call_la_LIBADD =
am__libnss_call_la_SOURCES_DIST = nss_call.c
#am_libnss_call_la_OBJECTS = nss_call.lo
libnss_call_la_OBJECTS = $(am_libnss_call_la_OBJECTS)
libnss_call_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libnss_call_la_LDFLAGS) $(LDFLAGS) -o \
	$@
#am_libnss_call_la_rpath = -rpath $(nsslibdir)
am__sss_netgroup_thread_test_SOURCES_DIST =  \
	sss_netgroup_thread_test.c
#am_sss_netgroup_thread_test_OBJECTS = sss_netgroup_thread_test-sss_netgroup_thread_test.$(OBJEXT)
sss_netgroup_thread_test_OBJECTS =  \
	$(am_sss_netgroup_thread_test_OBJECTS)
sss_netgroup_thread_test_DEPENDENCIES =
sss_netgroup_thread_test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(sss_netgroup_thread_test_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade =  \
	./$(DEPDIR)/getsockopt_wrapper_la-getsockopt_wrapper.Plo \
	./$(DEPDIR)/nss_call.Plo \
	./$(DEPDIR)/sss_netgroup_thread_test-sss_netgroup_thread_test.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(getsockopt_wrapper_la_SOURCES) $(libnss_call_la_SOURCES) \
	$(sss_netgroup_thread_test_SOURCES)
DIST_SOURCES = $(am__getsockopt_wrapper_la_SOURCES_DIST) \
	$(am__libnss_call_la_SOURCES_DIST) \
	$(am__sss_netgroup_thread_test_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__dist_dbussysconf_DATA_DIST = cwrap-dbus-system.conf
DATA = $(dist_dbussysconf_DATA) $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/build/depcomp \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoconf
AUTOHEADER = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoheader
AUTOMAKE = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' automake-1.16
AWK = gawk
CAP_CFLAGS =

=== src/tests/tests/multihost/requirements.txt ===
pexpect
pytest
pytest_multihost
python-ldap
PyYAML
pymmh3
ssh2-python
git+https://github.com/next-actions/pytest-importance
git+https://github.com/next-actions/pytest-ticket

=== src/tests/tests/system/requirements.txt ===
flaky
pytest
git+https://github.com/next-actions/pytest-importance
git+https://github.com/next-actions/pytest-mh
git+https://github.com/next-actions/pytest-ticket
git+https://github.com/next-actions/pytest-tier
git+https://github.com/next-actions/pytest-output
git+https://github.com/SSSD/sssd-test-framework

=== src/tests/tests/test_CA/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/test_CA/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
am__append_1 = softhsm2_expired
am__append_2 = SSSD_test_CA_expired_crl.pem
subdir = src/tests/test_CA
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build/mkinstalldirs README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoconf
AUTOHEADER = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoheader
AUTOMAKE = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' automake-1.16
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS = 
CARES_LIBS = -lcares
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -m64 -mtune=generic -fstack-protector-all -Wall -Wextra -Wno-sign-compare -Wshadow -Wunused-variable -Wno-unused-parameter -Wno-error=cpp -Wno-error=deprecated-declarations  -O0 -ggdb3 -Wp,-U_FORTIFY_SOURCE
CHECK_CFLAGS = 
CHECK_LIBS = -lcheck
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = -DWITH_GZFILEOP
CURL_LIBS = -lcurl
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include
DBUS_LIBS = -ldbus-1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DHASH_CFLAGS = 
DHASH_LIBS = -ldhash
DLLTOOL = false
DOCBOOK_XSLT = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_VALGRIND_drd = yes
ENABLE_VALGRIND_helgrind = yes
ENABLE_VALGRIND_memcheck = yes
ENABLE_VALGRIND_sgcheck = no
ETAGS = etags
EXEEXT = 
FAKETIME = /usr/bin/faketime
FGREP = /usr/bin/grep -F
FIDO2_CFLAGS = 
FIDO2_LIBS = 
FILECMD = file
GDM_PAM_EXTENSIONS_CFLAGS = -I/usr/include/gdm
GDM_PAM_EXTENSIONS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GPO_DEFAULT = enforcing
GREP = /usr/bin/grep
GSSAPI_KRB5_CFLAGS = 
GSSAPI_KRB5_LIBS = -lgssapi_krb5
HAVE_FAKEROOT = yes
HAVE_LDAPMODIFY = yes
HAVE_MANPAGES = 1
HAVE_NSS_WRAPPER = yes
HAVE_PAM_WRAPPER = yes
HAVE_PYTHON2 = yes
HAVE_PYTHON2_BINDINGS = 
HAVE_PYTHON3 = yes
HAVE_PYTHON3_BINDINGS = yes
HAVE_SELINUX = 1
HAVE_UID_WRAPPER = yes
IDMAP_SAMBA_LIBS = idmap-private-samba
INI_CONFIG_CFLAGS = 
INI_CONFIG_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INI_CONFIG_V1_3_CFLAGS = 
INI_CONFIG_V1_3_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INOTIFY_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson
JOSE_CFLAGS = -DWITH_GZFILEOP
JOSE_LIBS = -ljose -ljansson
JOURNALD_CFLAGS = 
JOURNALD_LIBS = 
KEYUTILS_LIBS = -lkeyutils
KRAD_LIBS = -lkrad
KRB5_CFLAGS = 
KRB5_CONFIG = /usr/bin/krb5-config
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err
LD = /usr/bin/ld -m elf_x86_64
LDB_CFLAGS = -I/usr/include/samba-4.0
LDB_LIBS = -lldb
LDFLAGS = 
LIBADD_DL =  
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = 
LIBADD_SHL_LOAD = 
LIBADD_TIMER = 
LIBCLOCK_GETTIME = 
LIBICONV = -liconv
LIBINTL = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3
LIBNL3_LIBS = -lnl-route-3 -lnl-3
LIBNL_CFLAGS = -I/usr/include/libnl3
LIBNL_LIBS = -lnl-route-3 -lnl-3
LIBOBJS =

=== src/tests/tests/test_ECC_CA/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/test_ECC_CA/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = src/tests/test_ECC_CA
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoconf
AUTOHEADER = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoheader
AUTOMAKE = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' automake-1.16
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS = 
CARES_LIBS = -lcares
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -m64 -mtune=generic -fstack-protector-all -Wall -Wextra -Wno-sign-compare -Wshadow -Wunused-variable -Wno-unused-parameter -Wno-error=cpp -Wno-error=deprecated-declarations  -O0 -ggdb3 -Wp,-U_FORTIFY_SOURCE
CHECK_CFLAGS = 
CHECK_LIBS = -lcheck
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = -DWITH_GZFILEOP
CURL_LIBS = -lcurl
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include
DBUS_LIBS = -ldbus-1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DHASH_CFLAGS = 
DHASH_LIBS = -ldhash
DLLTOOL = false
DOCBOOK_XSLT = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_VALGRIND_drd = yes
ENABLE_VALGRIND_helgrind = yes
ENABLE_VALGRIND_memcheck = yes
ENABLE_VALGRIND_sgcheck = no
ETAGS = etags
EXEEXT = 
FAKETIME = /usr/bin/faketime
FGREP = /usr/bin/grep -F
FIDO2_CFLAGS = 
FIDO2_LIBS = 
FILECMD = file
GDM_PAM_EXTENSIONS_CFLAGS = -I/usr/include/gdm
GDM_PAM_EXTENSIONS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GPO_DEFAULT = enforcing
GREP = /usr/bin/grep
GSSAPI_KRB5_CFLAGS = 
GSSAPI_KRB5_LIBS = -lgssapi_krb5
HAVE_FAKEROOT = yes
HAVE_LDAPMODIFY = yes
HAVE_MANPAGES = 1
HAVE_NSS_WRAPPER = yes
HAVE_PAM_WRAPPER = yes
HAVE_PYTHON2 = yes
HAVE_PYTHON2_BINDINGS = 
HAVE_PYTHON3 = yes
HAVE_PYTHON3_BINDINGS = yes
HAVE_SELINUX = 1
HAVE_UID_WRAPPER = yes
IDMAP_SAMBA_LIBS = idmap-private-samba
INI_CONFIG_CFLAGS = 
INI_CONFIG_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INI_CONFIG_V1_3_CFLAGS = 
INI_CONFIG_V1_3_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INOTIFY_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson
JOSE_CFLAGS = -DWITH_GZFILEOP
JOSE_LIBS = -ljose -ljansson
JOURNALD_CFLAGS = 
JOURNALD_LIBS = 
KEYUTILS_LIBS = -lkeyutils
KRAD_LIBS = -lkrad
KRB5_CFLAGS = 
KRB5_CONFIG = /usr/bin/krb5-config
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err
LD = /usr/bin/ld -m elf_x86_64
LDB_CFLAGS = -I/usr/include/samba-4.0
LDB_LIBS = -lldb
LDFLAGS = 
LIBADD_DL =  
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = 
LIBADD_SHL_LOAD = 
LIBADD_TIMER = 
LIBCLOCK_GETTIME = 
LIBICONV = -liconv
LIBINTL = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3
LIBNL3_LIBS = -lnl-route-3 -lnl-3
LIBNL_CFLAGS = -I/usr/include/libnl3
LIBNL_LIBS = -lnl-route-3 -lnl-3
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_DLLOADERS =  dlopen.la
LT_DLPREOPEN = -dlpreopen dlopen.la 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/./build//mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NDR_KRB5PAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_KRB5PAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc
NDR_NBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_NBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc
NFSIDMAP_CFLAGS = 
NFSIDMAP_LIBS = -lnfsidmap
NFSIDMAP_OBJ = 
NM = /usr/bin/nm -B
NMEDIT = 
NSUPDATE = /usr/bin/nsupdate
OBJDUMP = objdump
OBJEXT = o
OPENLDAP_CFLAGS = 
OPENLDAP_LIBS =  -llber -lldap
OPENSSL = /usr/bin/openssl
OTOOL = 
OTOOL64 = 
P11TOOL = /usr/bin/p11tool
P11_KIT_CFLAGS = -I/usr/include/p11-kit-1
P11_KIT_LIBS = -lp11-kit
PACKAGE = sssd
PACKAGE_BUGREPORT = sssd-devel@lists.fedorahosted.org
PACKAGE_NAME = sssd
PACKAGE_STRING = sssd 2.10.1
PACKAGE_TARNAME = sssd
PACKAGE_URL = 
PACKAGE_VERSION = 2.10.1
PAM_LIBS = -lpam
PAM_MISC_LIBS = -lpam_misc
PASSKEY_CFLAGS = 
PASSKEY_LIBS = 
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_LIBS = -lpcre2-8
PKG_CONFIG = /usr/bin/pkg-config
PO4A = po4a
POPT_CFLAGS = 
POPT_LIBS = -lpopt
POSUB = po
PRERELEASE_VERSION = 
PYTHON = 
PYTHON2 = /usr/bin/python2
PYTHON2_CFLAGS = 
PYTHON2_EXEC_PREFIX = 
PYTHON2_INCLUDES = 
PYTHON2_LIBS = 
PYTHON2_PREFIX = 
PYTHON2_VERSION = 
PYTHON3 = /usr/bin/python3
PYTHON3_CFLAGS = -I/usr/include/python3.13 -I/usr/include/python3.13  -fno-strict-overflow -Wsign-compare -fexceptions -fcf-protection   -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG -fexceptions -fcf-protection 
PYTHON3_EXEC_PREFIX = ${exec_prefix}
PYTHON3_INCLUDES = -I/usr/include/python3.13 -I/usr/include/python3.13
PYTHON3_LIBS =  -ldl  -lm 
PYTHON3_PREFIX = ${prefix}
PYTHON3_VERSION = 3.13
PYTHON_CONFIG = 
PYTHON_EXEC = /usr/bin/python3
PYTHON_EXEC_INTG = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 
RANLIB = ranlib
RESOLV_CFLAGS = 
RESOLV_LIBS = -L/usr/local/lib -lresolv

=== src/tests/tests/multihost/docs/Makefile ===
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = docs

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Nexus.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Nexus.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Nexus"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Nexus"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== src/tests/tests/test_CA/intermediate_CA/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/test_CA/intermediate_CA/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = src/tests/test_CA/intermediate_CA
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoconf
AUTOHEADER = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoheader
AUTOMAKE = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' automake-1.16
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS = 
CARES_LIBS = -lcares
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -m64 -mtune=generic -fstack-protector-all -Wall -Wextra -Wno-sign-compare -Wshadow -Wunused-variable -Wno-unused-parameter -Wno-error=cpp -Wno-error=deprecated-declarations  -O0 -ggdb3 -Wp,-U_FORTIFY_SOURCE
CHECK_CFLAGS = 
CHECK_LIBS = -lcheck
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = -DWITH_GZFILEOP
CURL_LIBS = -lcurl
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include
DBUS_LIBS = -ldbus-1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DHASH_CFLAGS = 
DHASH_LIBS = -ldhash
DLLTOOL = false
DOCBOOK_XSLT = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_VALGRIND_drd = yes
ENABLE_VALGRIND_helgrind = yes
ENABLE_VALGRIND_memcheck = yes
ENABLE_VALGRIND_sgcheck = no
ETAGS = etags
EXEEXT = 
FAKETIME = /usr/bin/faketime
FGREP = /usr/bin/grep -F
FIDO2_CFLAGS = 
FIDO2_LIBS = 
FILECMD = file
GDM_PAM_EXTENSIONS_CFLAGS = -I/usr/include/gdm
GDM_PAM_EXTENSIONS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GPO_DEFAULT = enforcing
GREP = /usr/bin/grep
GSSAPI_KRB5_CFLAGS = 
GSSAPI_KRB5_LIBS = -lgssapi_krb5
HAVE_FAKEROOT = yes
HAVE_LDAPMODIFY = yes
HAVE_MANPAGES = 1
HAVE_NSS_WRAPPER = yes
HAVE_PAM_WRAPPER = yes
HAVE_PYTHON2 = yes
HAVE_PYTHON2_BINDINGS = 
HAVE_PYTHON3 = yes
HAVE_PYTHON3_BINDINGS = yes
HAVE_SELINUX = 1
HAVE_UID_WRAPPER = yes
IDMAP_SAMBA_LIBS = idmap-private-samba
INI_CONFIG_CFLAGS = 
INI_CONFIG_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INI_CONFIG_V1_3_CFLAGS = 
INI_CONFIG_V1_3_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INOTIFY_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson
JOSE_CFLAGS = -DWITH_GZFILEOP
JOSE_LIBS = -ljose -ljansson
JOURNALD_CFLAGS = 
JOURNALD_LIBS = 
KEYUTILS_LIBS = -lkeyutils
KRAD_LIBS = -lkrad
KRB5_CFLAGS = 
KRB5_CONFIG = /usr/bin/krb5-config
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err
LD = /usr/bin/ld -m elf_x86_64
LDB_CFLAGS = -I/usr/include/samba-4.0
LDB_LIBS = -lldb
LDFLAGS = 
LIBADD_DL =  
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = 
LIBADD_SHL_LOAD = 
LIBADD_TIMER = 
LIBCLOCK_GETTIME = 
LIBICONV = -liconv
LIBINTL = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3
LIBNL3_LIBS = -lnl-route-3 -lnl-3
LIBNL_CFLAGS = -I/usr/include/libnl3
LIBNL_LIBS = -lnl-route-3 -lnl-3
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_DLLOADERS =  dlopen.la
LT_DLPREOPEN = -dlpreopen dlopen.la 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/./build//mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NDR_KRB5PAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_KRB5PAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc
NDR_NBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_NBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc
NFSIDMAP_CFLAGS = 
NFSIDMAP_LIBS = -lnfsidmap
NFSIDMAP_OBJ = 
NM = /usr/bin/nm -B
NMEDIT = 
NSUPDATE = /usr/bin/nsupdate
OBJDUMP = objdump
OBJEXT = o
OPENLDAP_CFLAGS = 
OPENLDAP_LIBS =  -llber -lldap
OPENSSL = /usr/bin/openssl
OTOOL = 
OTOOL64 = 
P11TOOL = /usr/bin/p11tool
P11_KIT_CFLAGS = -I/usr/include/p11-kit-1
P11_KIT_LIBS = -lp11-kit
PACKAGE = sssd
PACKAGE_BUGREPORT = sssd-devel@lists.fedorahosted.org
PACKAGE_NAME = sssd
PACKAGE_STRING = sssd 2.10.1
PACKAGE_TARNAME = sssd
PACKAGE_URL = 
PACKAGE_VERSION = 2.10.1
PAM_LIBS = -lpam
PAM_MISC_LIBS = -lpam_misc
PASSKEY_CFLAGS = 
PASSKEY_LIBS = 
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_LIBS = -lpcre2-8
PKG_CONFIG = /usr/bin/pkg-config
PO4A = po4a
POPT_CFLAGS = 
POPT_LIBS = -lpopt
POSUB = po
PRERELEASE_VERSION = 
PYTHON = 
PYTHON2 = /usr/bin/python2
PYTHON2_CFLAGS = 
PYTHON2_EXEC_PREFIX = 
PYTHON2_INCLUDES = 
PYTHON2_LIBS = 
PYTHON2_PREFIX = 
PYTHON2_VERSION = 
PYTHON3 = /usr/bin/python3
PYTHON3_CFLAGS = -I/usr/include/python3.13 -I/usr/include/python3.13  -fno-strict-overflow -Wsign-compare -fexceptions -fcf-protection   -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG -fexceptions -fcf-protection 
PYTHON3_EXEC_PREFIX = ${exec_prefix}
PYTHON3_INCLUDES = -I/usr/include/python3.13 -I/usr/include/python3.13
PYTHON3_LIBS =  -ldl  -lm 
PYTHON3_PREFIX = ${prefix}
PYTHON3_VERSION = 3.13
PYTHON_CONFIG = 
PYTHON_EXEC = /usr/bin/python3
PYTHON_EXEC_INTG = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 
RANLIB = ranlib
RESOLV_CFLAGS =

## sssd 1.5.15

=== debian/changelog ===
sssd (1.5.15-0ubuntu2) precise; urgency=low

  * Merged changes from debian git:
    - sssd.upstart.in: Test if the config file exists, and exit if not.
    - Fail gracefully if invoke-rc.d returns an error on postinst/prerm,
      like when the daemon fails to start when there is no config file.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 25 Nov 2011 00:29:51 +0200

sssd (1.5.15-0ubuntu1) precise; urgency=low

  * Merge from Debian git, remaining changes: none.
  * Rebuild against current ldb (LP: #893043).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 24 Nov 2011 19:57:41 +0200

sssd (1.5.15-1) UNRELEASED; urgency=low

  [ Petter Reinholdtsen ]
  * New upstream version 1.2.4:
    - Resolves long-standing issues related to group processing with
      RFC2307bis LDAP servers.
    - Fixed bugs in RFC2307bis group memberships related to initgroups
      (Closes: #595564).
    - Fix tight-loop bug on systems with older OpenLDAP client
      libraries (such as Red Hat Enterprise Linux 5)
  * New Upstream Version 1.2.3:
    - Resolves CVE-2010-2940.
  * New Upstream Version 1.2.2:
    - The LDAP provider no longer requires access to the LDAP
      RootDSE. If it is unavailable, we will continue on with our best
      guess.
    - The LDAP provider will now log issues with TLS and GSSAPI to the
      syslog.
    - Significant performance improvement when performing initgroups
      on users who are members of large groups in LDAP.
    - The sss_client will now reconnect properly to the SSSD if the
      daemon is restarted.
      * This resolves an issue causing GDM to crash when logging out
        of a user after the SSSD had been restarted.
  * Correct package description for python-sss (Closes: #596215).
  * Update Standards-Version from 3.8.4 to 3.9.1.  No changes needed.

  [ Timo Aaltonen ]
  * New upstream release (1.5.15) (Closes: #595564, #624194, #640678).
    - Add libunistring-dev to build-deps.
  * Drop patch to ensure LDAP authentication never accept a zero
    length password, which is now included upstream.
  * sssd.upstart.ubuntu:
    - Don't start before net-device-up. (LP: 812943)
    - Source /etc/default/sssd. (LP: 812943)
  * sssd.default: Added a file to include the sssd daemon defaults,
    currently has '-D -f'.
  * sssd.init: Drop separate OPTIONS, '-D' comes from /etc/default/sssd
    now..
  * rules: Install the Python API files to /usr/share/sssd, as discussed
    with upstream. (LP: 859611)
  * fix-python-api-path.dpatch: Use the new location for the API files.
    (LP: 859611)
  * libpam-sss.pam-auth-update:
    - Add 'forward_pass' to auth stack to fix ecryptfs mounts. (LP: 826643)
    - Add pam_localuser.so to account stack to allow local users to log in.
      (LP: 860488)
    - Drop the priority so that pam_unix is always before pam_sss.
  * control: sssd now Recommends libpam-sss and libnss-sss, since sssd is
    mostly useless without them. (LP: 767337)
  * control, compat: Bump debhelper build-dep and compat level to 8.
  * Switch to source format 3.0 (quilt).
  * Do not install a working config file by default. The local domain
    definition was broken (upstream #1014). The daemon will need to be
    configured by other means before it's usable.
  * Add fix-format-security.diff (Closes: #643806)
  * Add support for Multi-Arch.
  * Migrate to dh, drop cdbs build-dep, add quilt, dh-autoreconf and
    autopoint to build-deps.
  * Remove unnecessary libnss-sss.links.
  * Add libdhash-dev, libcollection-dev and libini-config-dev to build-deps.
  * Drop cvs from build-depends.
  * Add new packages: libipa-hbac0, libipa-hbac-dev, python-libipa-hbac.
  * libnss-sss.overrides: Add an override for 
    "package-name-doesnt-match-sonames".
  * Determine the used init system during build, add lsb-release to
    build-deps. Default to sysvinit, use upstart if Ubuntu.
  * Add ensure-all-input-valid-utf8.diff from upsream: Ensure that all
    input strings are valid UTF-8.
  * sssd.upstart.in: Test if the config file exists, and exit if not.
  * Fail gracefully if invoke-rc.d returns an error on postinst/prerm, like
    when the daemon fails to start when there is no config file.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 Sep 2010 12:06:37 +0200

sssd (1.2.1-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust install path to consider GNU triplet (Closes: #640626).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 20 Sep 2011 20:02:34 +0200

sssd (1.2.1-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/sssd.install
    - updated location for ldb modules; Closes: #618159

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2011 23:53:59 +0200

sssd (1.2.1-4.1) unstable; urgency=medium

   * Non-maintainer upload by the Security Team
   * Fix CVE-2010-4341 (Closes: #610032)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 25 Jan 2011 22:09:21 +0100

sssd (1.2.1-4) unstable; urgency=low

  * Add patch from Stephen Gallagher to ensure LDAP authentication
    never accept a zero length password (Closes: #594413).  Solves
    CVE-2010-2940.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 Aug 2010 22:33:40 +0200

sssd (1.2.1-3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Look for /etc/default/sssd, not /etc/defaults/sssd in init.d
    script (Closes: #588252).
  * Make sssd.conf generation more robust, and make sure missing SRV
    records are ignored and not handled as host names.
  * Add code in generate-config to look up Kerberos realm using
    _kerberos TXT record in DNS if it exist.
  * Recommend bind9-host used by generate-config for SRV and TXT
    lookups.
  
  [ Morten Werner Forsbring ]
  * Check if /etc/default/sssd is a file and executable, not a directory,
    before sourcing in init-script. Thanks to lintian.

 -- Morten Werner Forsbring <werner@debian.org>  Thu, 12 Aug 2010 16:31:14 +0200

sssd (1.2.1-2) unstable; urgency=low

  * Make sure init.d script sources /etc/default/sssd (Closes: #588252).


=== debian/control ===
Source: sssd
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders: Morten Werner Forsbring <werner@debian.org>
Build-Depends: debhelper (>= 8.1.3~), quilt, dh-autoreconf, autopoint, lsb-release,
 dnsutils,
 libpopt-dev,
 libdbus-1-dev,
 libldap2-dev,
 libpam-dev,
 libnss3-dev,
 libnspr4-dev,
 libpcre3-dev,
 libselinux1-dev,
 libsasl2-dev,
 libtevent-dev,
 libldb-dev,
 libtalloc-dev,
 libtdb-dev,
 xml-core,
 docbook-xsl,
 docbook-xml,
 libxml2-utils,
 xsltproc,
 krb5-config,
 libkrb5-dev,
 libc-ares-dev,
 python-dev (>= 2.3.5-11),
 python-central (>= 0.6),
 libsemanage1-dev,
 libunistring-dev,
 libdhash-dev,
 libcollection-dev,
 libini-config-dev,
Standards-Version: 3.9.1
XS-Python-Version: current
Vcs-Git: git://git.debian.org/git/collab-maint/pkg-sssd
Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-sssd.git
Homepage: https://fedorahosted.org/sssd/

Package: sssd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python,
 python-sss,
 libipa-hbac0 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Recommends: ldap-utils,
 bind9-host,
 libnss-sss,
 libpam-sss,
Description: System Security Services Daemon 
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provides the daemon.

Package: libnss-sss
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Pre-Depends: multiarch-support
Recommends: sssd
Multi-Arch: same
Description: Nss library for the System Security Services Daemon 
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the nss library to connect to the sssd daemon.

Package: libpam-sss
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-6)
Recommends: sssd
Multi-Arch: same
Description: Pam module for the System Security Services Daemon 
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the pam module to connect to the sssd daemon.

Package: libipa-hbac0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Pre-Depends: multiarch-support
Conflicts: sssd (<< 1.5.15)
Replaces: sssd (<< 1.5.15)
Multi-Arch: same
Description: FreeIPA HBAC Evaluator library
 Utility library to validate FreeIPA HBAC rules for authorization requests.

Package: libipa-hbac-dev
Section: libdevel
Architecture: any
Depends: libipa-hbac0 (= ${binary:Version})
Conflicts: sssd (<< 1.5.15)
Replaces: sssd (<< 1.5.15)
Description: FreeIPA HBAC Evaluator library
 Utility library to validate FreeIPA HBAC rules for authorization requests.
 .
 This package contains header files and symlinks to develop programs which will
 use the libipa-hbac library.

Package: python-libipa-hbac
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 libipa-hbac0 (= ${binary:Version})
Conflicts: python-sss (<< 1.5.15)
Replaces: python-sss (<< 1.5.15)
Description: Python bindings for the FreeIPA HBAC Evaluator library
 The libipa_hbac-python contains the bindings so that libipa_hbac can be
 used by Python applications.

Package: python-sss
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Recommends: sssd
XB-Python-Version: ${python:Versions}
Description: Python module for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide a module to access the configuration of the sssd daemon.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with quilt,autoreconf --builddirectory=build

APIDOCDIR = /usr/share/sssd
DISTRIBUTION = $(shell lsb_release -i | sed 's/.*:\t//')
INIT = init

ifeq ($(DISTRIBUTION), Ubuntu)
	INIT = upstart
endif

override_dh_auto_configure:
	dh_auto_configure -- --enable-krb5-locator-plugin \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--with-ldb-lib-dir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/ldb/modules/ldb \
	--with-krb5-plugin-path=\$${libdir}/krb5/plugins/libkrb5 \
	--enable-nsslibdir=/lib/$(DEB_HOST_MULTIARCH) \
	--enable-pammoddir=/lib/$(DEB_HOST_MULTIARCH)/security

override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/$(APIDOCDIR)/sssd.api.d/
	install -D -m640 $(CURDIR)/src/config/etc/sssd.api.conf \
		$(CURDIR)/debian/tmp/$(APIDOCDIR)/sssd.api.conf
	install -m640 $(CURDIR)/src/config/etc/sssd.api.d/* \
		$(CURDIR)/debian/tmp/$(APIDOCDIR)/sssd.api.d/
	install -D -m755 $(CURDIR)/debian/generate-config \
		$(CURDIR)/debian/tmp/usr/lib/sssd/generate-config

	mkdir -p $(CURDIR)/debian/tmp/usr/share/lintian/overrides/
	install -D debian/libnss-sss.overrides \
		$(CURDIR)/debian/tmp/usr/share/lintian/overrides/libnss-sss
	install -D debian/sssd.overrides \
		$(CURDIR)/debian/tmp/usr/share/lintian/overrides/sssd

	mkdir -p $(CURDIR)/debian/libpam-sss/usr/share/pam-configs
	install -m644 debian/libpam-sss.pam-auth-update \
		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss

	cat $(CURDIR)/debian/sssd.$(INIT).in > $(CURDIR)/debian/sssd.$(INIT)

	dh_install

	find $(CURDIR)/debian/tmp/ -name '*.la' -exec rm '{}' ';'
	dh_pycentral -ppython-sss
	dh_pycentral -ppython-libipa-hbac

override_dh_installinit:
	dh_installinit --error-handler=invoke_failure

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/debian/sssd.$(INIT)

=== debian/watch ===
# sssd watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://fedorahosted.org/released/sssd/sssd-(.*)\.tar\.gz
